Skip to main content
GET
List all transaction in buckets

Authorizations

Authorization
string
header
required

JWT token obtained from AWS Cognito or custom authentication service

Query Parameters

bucket_id
integer

Filter by bucket ID

client_transaction_id
string

Filter by client transaction ID

limit
integer

Number of results to return per page.

max_date
string

Filter by maximum transaction timestamp

min_date
string

Filter by minimum transaction timestamp

offset
integer

The initial index from which to return the results.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"